Rapid7 Vulnerability & Exploit Database

PHP Vulnerability: CVE-2014-0238

Back to Search

PHP Vulnerability: CVE-2014-0238

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Published
06/01/2014
Created
07/25/2018
Added
06/05/2014
Modified
11/30/2016

Description

The cdf_read_property_info function in cdf.c in the Fileinfo component in PHP before 5.4.29 and 5.5.x before 5.5.13 allows remote attackers to cause a denial of service (infinite loop or out-of-bounds memory access) via a vector that (1) has zero length or (2) is too long.

Solution(s)

  • php-upgrade-5_4_29
  • php-upgrade-5_5_13

References

  • php-upgrade-5_4_29
  • php-upgrade-5_5_13

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;